## mandos 1.0.14

=== Makefile ===
--- 
+++ 
@@ -9,14 +9,19 @@
 #DEBUG=-ggdb3
 # For info about _FORTIFY_SOURCE, see
 # <http://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html>
-FORTIFY=-D_FORTIFY_SOURCE=2 -fstack-protector-all -fPIC -fPIE
-LINK_FORTIFY_LD=-z relro -fPIE
-LINK_FORTIFY=-pie
+FORTIFY=-D_FORTIFY_SOURCE=2 -fstack-protector-all -fPIC
+LINK_FORTIFY_LD=-z relro -z now
+LINK_FORTIFY=
+ifndef BROKEN_PIE
+FORTIFY += -fPIE
+LINK_FORTIFY_LD += -fPIE
+LINK_FORTIFY += -pie
+endif
 #COVERAGE=--coverage
 OPTIMIZE=-Os
 LANGUAGE=-std=gnu99
 htmldir=man
-version=1.0.13
+version=1.0.14
 SED=sed
 
 ## Use these settings for a traditional /usr/local install
@@ -356,5 +361,3 @@
 
 purge-client: uninstall-client
 	-shred --remove $(KEYDIR)/seckey.txt
-	-rm --force $(CONFDIR)/plugin-runner.conf \
-		$(KEYDIR)/pubkey.txt $(KEYDIR)/seckey.txt
