=== debian/changelog ===
mandos (1.3.0-1ubuntu1) oneiric; urgency=low

  * debian/patches/fix-ftbfs-with-as-needed:
    - Fix FTBFS with --as-needed (LP: #771019) (Closes: #632145)

 -- Angel Abad <angelabad@ubuntu.com>  Wed, 29 Jun 2011 22:44:52 +0200

mandos (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control (mandos): Depend on Python 2.6, remove dependency on
    python-multiprocessing.
  (mandos-client): Conflict with dropbear (<< 0.52-5).
  * debian/mandos-client.postrm (purge): Bug fix: update initramfs also on
    purge.
  * debian/mandos-client.lintian-overrides: Added plugins.d/plymouth.

 -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 08 Mar 2011 20:22:57 +0100

mandos (1.2.3-1) experimental; urgency=low

  * New upstream release.

 -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Mon, 11 Oct 2010 19:37:31 +0200

mandos (1.2.2-1) experimental; urgency=low

  * New upstream release.
  * plugins.d/splashy.c: Only use ELIBBAD if defined. (Closes: #599256)

 -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Thu, 07 Oct 2010 20:27:54 +0200

mandos (1.2.1-3) experimental; urgency=low

  * debian/changelog: Include entry for NMU of version 1.0.14-1.1.

 -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 05 Oct 2010 20:58:38 +0200

mandos (1.2.1-2) unstable; urgency=low

  * debian/source/format: New; contains "3.0 (quilt)".  Really.

 -- Björn Påhlsson <belorn@fukt.bsnet.se>  Sat, 02 Oct 2010 19:46:59 +0200

mandos (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/source/format: New; contains "3.0 (quilt)".

 -- Björn Påhlsson <belorn@fukt.bsnet.se>  Sat, 02 Oct 2010 19:03:58 +0200

mandos (1.2-1) unstable; urgency=low

  * New upstream release.
  * Makefile (LINK_FORTIFY_LD): Remove "-fPIE". (Closes: #557076)
  * debian/control: Add gnupg dependency to "mandos-client" and removed it
    from "mandos".  Added dependency on "python-urwid" "mandos" since the
    new "mandos-monitor" utility needs it, and on "python (>=2.6) |
    python-multiprocessing" since the Mandos server now uses it.
  * debian/rules: Set BROKEN_PIE on mips and mipsel if a known buggy
    version of binutils is used.
  * debian/mandos.docs: Also install "/usr/share/doc/mandos/DBUS-API".
  * debian/mandos.dirs: Added "etc/dbus-1/system.d".
  * debian/mandos-client.README.Debian: Update info about DEVICE setting
    of initramfs.conf.
  * debian/mandos-client.README.Debian: Remove warning about --connect not
    looping, since it now does.

 -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 28 Sep 2010 20:46:11 +0200

mandos (1.0.14-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against libavahi-core-dev (>= 0.6.26-1).

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Jul 2010 16:34:34 +0200

mandos (1.0.14-1) unstable; urgency=low (HIGH on mips and mipsel)

  * New upstream release.
  * debian/rules: Build with BROKEN_PIE set on mips and mipsel
    architectures - fixes FTBFS there.

 -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Sun, 25 Oct 2009 20:10:09 +0100

mandos (1.0.13-1) unstable; urgency=high

  * New upstream release.
  * Do not copy unnecessary files to initrd (Closes: #551907)

 -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Thu, 22 Oct 2009 00:53:21 +0200

mandos (1.0.12-1) unstable; urgency=low

  * New upstream release.
  * init.d-mandos: Correct dependencies (Closes: #546928)
  * debian/control (Standards-Version): Changed to "3.8.3".
  * debian/mandos-client.README.Debian: Improved wording and formatting.
    Updated location of nfsroot.txt.
  * debian/mandos.README.Debian: Improved wording and formatting.
  * debian/mandos-client.postinst (configure): Don't look for user and
    group with the old name if upgrading from a new enough version.
  * debian/mandos.postinst (configure): - '' -
  * debian/mandos-client.README.Debian: Added text about non-usability of
    pseudo-network interfaces.

 -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Thu, 17 Sep 2009 15:03:59 +0200

mandos (1.0.11-1) unstable; urgency=low

  * debian/control (Standards-Version): Changed to "3.8.1".
  * Makefile (GNUTLS_CFLAGS, GNUTLS_CFLAGS): Use "pkg-config" instead of
    the old "libgnutls-config" script.  (Closes:  #529836)

 -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Sat, 23 May 2009 07:12:20 +0200

mandos (1.0.10-1) unstable; urgency=low

  * New upstream release.
  * debian/mandos-client.postinst (update_initramfs): Fix permissions of
    old initrd.img-*.bak files.

 -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Sun, 17 May 2009 04:56:35 +0200

mandos (1.0.9-1) unstable; urgency=low

  * New upstream release.

 -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Sun, 17 May 2009 02:59:45 +0200

mandos (1.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Wed, 25 Feb 2009 02:26:57 +0100

mandos (1.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 24 Feb 2009 12:58:06 +0100

mandos (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * debian/mandos-client.postinst: Converted to Bourne shell.  Also
    minor message change.
  * debian/mandos-client.postrm: Minor message change.
  * debian/mandos.postinst: Converted to Bourne shell.  Also minor
    message change.
  * debian/mandos.prerm: Minor message change.
  * debian/rules (install-indep): Removed "--no-start" from
    dh_installinit.
  * debian/mandos-client.lintian-overrides: Remove obsolete override for
    unbreakable line in plugin-runner manual page.
  * debian/control (mandos/Depends): Added "python-gobject".
  * debian/mandos-client.dirs: Change
    "usr/share/initramfs-tools/scripts/local-top" to
    "usr/share/initramfs-tools/scripts/init-premount".
  * debian/mandos-client.README.Debian: Add reference to initramfs.conf
    and nfsroot.txt.  New section about the new non-local connection
    feature.

 -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Fri, 13 Feb 2009 09:27:25 +0100

mandos (1.0.5-1) unstable; urgency=low

  * New upstream release.


