=== debian/changelog ===
mandos (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Fix "FTBFS with binutils-gold": Added "-Xlinker --as-needed" to
    LDFLAGS in Makefile. (Closes: #632145)
  * Fix "/run transition: uses obsolete /dev/.initramfs": Try both old and
    new PID file locations. (Closes: #643554)
  * debian/source/local-options: New; contains "--single-debian-patch".
  * debian/control (Standards-Version): Upgraded to "3.9.2".
    (DM-Upload-Allowed): New; set to "yes".
  * debian/control: Changed domain from "fukt.bsnet.se" to "recompile.se".
  * debian/copyright: - '' -
  * debian/mandos-client.README.Debian: - '' -
  * debian/mandos.README.Debian: - '' -
  * debian/watch: - '' -
  * debian/control (mandos/Description): Fix language to placate lintian.

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 09 Oct 2011 19:15:08 +0200

mandos (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Conflict with correct version of dropbear.
  * New version uses argparse; depend on python (<=2.7) | python-argparse.

 -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Wed, 27 Jul 2011 19:47:17 +0200
