=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: mandos
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mandos Maintainers <mandos@fukt.bsnet.se>
-Uploaders: Teddy Hogeborn <teddy@fukt.bsnet.se>,
-	   Björn Påhlsson <belorn@fukt.bsnet.se>
+Maintainer: Mandos Maintainers <mandos@recompile.se>
+Uploaders: Teddy Hogeborn <teddy@recompile.se>,
+	   Björn Påhlsson <belorn@recompile.se>
 Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
 	pkg-config
-Standards-Version: 3.9.1
-Vcs-Bzr: http://ftp.fukt.bsnet.se/pub/mandos/trunk
-Vcs-Browser: http://bzr.fukt.bsnet.se/loggerhead/mandos/trunk/files
-Homepage: http://www.fukt.bsnet.se/mandos
+Standards-Version: 3.9.2
+Vcs-Bzr: http://ftp.recompile.se/pub/mandos/trunk
+Vcs-Browser: http://bzr.recompile.se/loggerhead/mandos/trunk/files
+Homepage: http://www.recompile.se/mandos
+DM-Upload-Allowed: yes
 
 Package: mandos
 Architecture: all
 Depends: ${misc:Depends}, python (>=2.6), python-gnutls, python-dbus,
 	python-avahi, python-gobject, avahi-daemon, adduser,
-	python-urwid
+	python-urwid, python (>=2.7) | python-argparse
 Recommends: fping
-Description: a server giving encrypted passwords to Mandos clients
+Description: server giving encrypted passwords to Mandos clients
  This is the server part of the Mandos system, which allows
  computers to have encrypted root file systems and at the
  same time be capable of remote and/or unattended reboots.
@@ -38,7 +38,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, cryptsetup,
 	gnupg (<< 2)
-Conflicts: dropbear (<< 0.52-5)
+Conflicts: dropbear (<= 0.52-5)
 Enhances: cryptsetup
 Description: do unattended reboots with an encrypted root file system
  This is the client part of the Mandos system, which allows
